#ifndef _DEF_PLAYER_COLLIDE
#define _DEF_PLAYER_COLLIDE

#include <gint/defs/types.h>
#include <stdbool.h>

#include "conf.h"
#include "level.h"
#include "tiles.h"

/* Return tile flags at the given position.
 * P_AIR is out of bound or empty. */
Tile collide_point(Vec point, const Level *level);
Tile_flags player_collide_or(Player *player, Vec position, const Level *level);
Tile_flags player_collide_and(Player *player, Vec position, const Level *level);

#endif /* _DEF_PLAYER_COLLIDE */
