/* Create macros for the input system. */

#ifndef _DEF_INPUT_MACRO
#define _DEF_INPUT_MACRO

#define INPUT_PRESSED(key) input_is_pressed(input, key)
#define INPUT_LAST_PRESS(key) input_last_press(input, key, step)
#define INPUT_DOWN(key) input_is_down(input, key)
#define INPUT_RELEASED(key) input_is_released(input, key)
#define INPUT_UP(key) input_is_up(input, key)

#endif /* _DEF_INPUT_MACRO */
