#include "tiles.h"

Tile_flags tile_get_flags(Tile tile) {
	switch (tile) {
		case ID_AIR:
		case ID_CHAIN:
			return P_AIR;
			break;
		case ID_SPIKE:
			return P_SPIKE;
			break;
		case ID_ICE_0:
		case ID_ICE_1:
		case ID_ICE_2:
		case ID_ICE_3:
		case ID_ICE_4:
			return P_ICE;
			break;
		case ID_GLUE:
			return P_GLUE;
			break;
		case ID_SLIME:
		case ID_BASE_0:
		case ID_BASE_1:
		case ID_BASE_2:
		case ID_BASE_3:
		case ID_BASE_4:
		case ID_BASE_5:
		case ID_BASE_6:
		case ID_BASE_7:
		case ID_BASE_8:
		case ID_BASE_9:
		case ID_BASE_10:
		case ID_BASE_11:
		case ID_BASE_12:
		case ID_BASE_13:
		case ID_BASE_14:
		case ID_BASE_15:
			return P_BASE;
			break;
		default: return P_UNKNOWN; break;
	}
}
