#define VEC_PRECISION 16384
#define UPS 256
#define PXS (VEC_PRECISION / UPS)
#define TILE_SIZE (8 * VEC_PRECISION)
#define VEC_DCENTER (Vec){DWIDTH / 2, DHEIGHT / 2}

#ifdef FX9860G
#define SCALE 1
#define FPS 16
#endif /* FX9860G */
#ifdef FXCG50
#define SCALE 2
#define FPS 32
#endif /* FXCG50 */

#define TILE_PX_SIZE (8 * SCALE)
#define VEC_SCALED_DCENTER (Vec){DWIDTH / (2 * SCALE), DHEIGHT / (2 * SCALE)}
