/* tile modifiers on player vars */
#ifndef _DEF_PLAYER_MODIFIERS
#define _DEF_PLAYER_MODIFIERS

#define D_LEFT 0b1
#define D_RIGHT 0b10
#define D_FLOOR 0b100
#define D_CEIL 0b1000
#define D_WALL (D_LEFT | D_RIGHT)
#define D_ANY (D_LEFT | D_RIGHT | D_FLOOR | D_CEIL)
#include "player.h"

void player_mod_ice(Player *player, uint8_t sides);
void player_mod_glue(Player *player, uint8_t sides);
#endif
