#include "player_modifiers.h"
#include "player.h"

void player_mod_ice(Player *player, uint8_t sides) {
	if (sides & D_FLOOR) {
		player->vars.acceleration /= 4;
		player->vars.friction /= 4;
	}
}

void player_mod_glue(Player *player, uint8_t sides) {
	if (sides & D_FLOOR) {
		player->vars.acceleration = 1;
		player->vars.friction = 1;
	}
	if (sides & (D_LEFT | D_RIGHT | D_CEIL)) {
		player->vars.gravity = 0;
		player->vars.acceleration = 0;
	}
}
